Bug 1277962 - REST Query API: taskId_min and taskId_max parameters are reverse
REST Query API: taskId_min and taskId_max parameters are reverse
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: CR1
: 6.2.0
Assigned To: Shelly McGowan
Tomas Livora
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 07:33 EST by Tomas Livora
Modified: 2016-09-20 01:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Livora 2015-11-04 07:33:23 EST
Description of problem:
It seems that taskId_min and taskId_max use reverse condition.

Version-Release number of selected component (if applicable):
6.2.0 ER5

Steps to Reproduce:
1. Run some processes with tasks.
2. Try to get tasks using taskId_min and taskId_max parameters.

Actual results:
You get taskId_min behaves like taskId_max should behave and vice versa.

Expected results:
Correct behavior according to the name of the parameter.
Comment 1 Marco Rietveld 2015-11-05 20:49:07 EST
Good catch, Tomas, thanks!

PR submitted: https://github.com/droolsjbpm/droolsjbpm-integration/pull/223
Comment 2 Marco Rietveld 2015-11-06 07:52:41 EST
Fixed in master. Commits:

master: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/d8039747
Comment 3 Marco Rietveld 2015-11-10 11:16:26 EST
Fixed. Commits: 

6.3.x: 
https://github.com/droolsjbpm/droolsjbpm-integration/commit/44257bcc

master: 
(see above)
Comment 4 Tomas Livora 2015-11-20 03:49:42 EST
Verified on BPMS 6.2.0 CR1

Note You need to log in before you can comment on or make changes to this bug.